Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v12
Class EncryptableNameIdentifier

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.NameIdentifier
oracle.security.xmlsec.liberty.v12.EncryptableNameIdentifier`

public class EncryptableNameIdentifier
extends oracle.security.xmlsec.saml.NameIdentifier

Liberty EncryptableNameIdentifier for the name identifier provided by the identity provider at the time of federation. It is of type saml:NameIdentifier.

Field Summary

Fields inherited from class oracle.security.xmlsec.saml.NameIdentifier
`EMAIL_ADDRESS, NAME_ID_FORMAT_EMAIL_ADDRESS, NAME_ID_FORMAT_UNSPECIFIED, NAME_ID_FORMAT_WINDOWS_DOMAIN_QNAME, NAME_ID_FORMAT_X509_SUBJECT_NAME, WINDOWS_DOMAIN_QNAME, X509_SUBJECT_NAME`

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`EncryptableNameIdentifier(org.w3c.dom.Document owner)` Creates a new `EncryptableNameIdentifier` instance.
`EncryptableNameIdentifier(org.w3c.dom.Document owner, java.util.Date issueInstant)` Creates a new `EncryptableNameIdentifier` instance.
`EncryptableNameIdentifier(org.w3c.dom.Element element)` Creates a new `EncryptableNameIdentifier` instance from the given Element node.
`EncryptableNameIdentifier(org.w3c.dom.Element element, java.lang.String SystemId)` Creates a new `EncryptableNameIdentifier` instance from the given Element node.

Method Summary
`java.util.Date` | `getIssueInstant()` Returns the value of this EncryptableNameIdentifier element's IssueInstant attribute, or `null` if the attribute is not specified.
`java.lang.String` | `getNonce()` Returns the value of this EncryptableNameIdentifier element's Nonce attribute, or `null` if the attribute is not specified.
`void` | `setIssueInstant(java.util.Date issueInstant)` Sets the value of this EncryptablNameIdentifier element's IssueInstant attribute.
`void` | `setNonce(java.lang.String nonce)` Sets the value of this EncryptablNameIdentifier element's Nonce attribute.

Methods inherited from class oracle.security.xmlsec.saml.NameIdentifier
`getFormat, getNameQualifier, getSubjectName, getValue, setFormat, setNameQualifier, setSubjectName, setValue`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptableNameIdentifier

    public EncryptableNameIdentifier(org.w3c.dom.Element element)
                              throws org.w3c.dom.DOMException

  Creates a new `EncryptableNameIdentifier` instance from the given Element node.
Parameters:
  `element` - An EncryptableNameIdentifier element.

### EncryptableNameIdentifier

    public EncryptableNameIdentifier(org.w3c.dom.Element element,
                                     java.lang.String SystemId)
                              throws org.w3c.dom.DOMException

  Creates a new `EncryptableNameIdentifier` instance from the given Element node.
Parameters:
  `element` - A EncryptableNameIdentifier element.

### EncryptableNameIdentifier

    public EncryptableNameIdentifier(org.w3c.dom.Document owner)
                              throws org.w3c.dom.DOMException

  Creates a new `EncryptableNameIdentifier` instance.
Parameters:
  `owner` - The owner document of the new EncryptableNameIdentifier.

### EncryptableNameIdentifier

    public EncryptableNameIdentifier(org.w3c.dom.Document owner,
                                     java.util.Date issueInstant)
                              throws org.w3c.dom.DOMException

  Creates a new `EncryptableNameIdentifier` instance.
Parameters:
  `owner` - The owner document of the new EncryptableNameIdentifier.
  `issueInstant` - The value of this EncryptableNameIdentifier element's IssueInstant attribute.

Method Detail

### setIssueInstant

    public void setIssueInstant(java.util.Date issueInstant)
                         throws org.w3c.dom.DOMException

  Sets the value of this EncryptablNameIdentifier element's IssueInstant attribute.
  Parameters:
    `issueInstant` - The attribute value.
  Throws:
    `org.w3c.dom.DOMException`

### getIssueInstant

    public java.util.Date getIssueInstant()

  Returns the value of this EncryptableNameIdentifier element's IssueInstant attribute, or `null` if the attribute is not specified.

### setNonce

    public void setNonce(java.lang.String nonce)
                  throws org.w3c.dom.DOMException

  Sets the value of this EncryptablNameIdentifier element's Nonce attribute.
  Parameters:
    `nonce` - The attribute value.
  Throws:
    `org.w3c.dom.DOMException`

### getNonce

    public java.lang.String getNonce()

  Returns the value of this EncryptableNameIdentifier element's Nonce attribute, or `null` if the attribute is not specified.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.